Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.slice.jdbc
Class DistributedJDBCBrokerFactory

    java.lang.Object
      org.apache.openjpa.kernel.AbstractBrokerFactory
          org.apache.openjpa.jdbc.kernel.JDBCBrokerFactory
              org.apache.openjpa.slice.jdbc.DistributedJDBCBrokerFactory

All Implemented Interfaces:
  Serializable, BrokerFactory, Closeable, DistributedBrokerFactory

    public class DistributedJDBCBrokerFactory

extends JDBCBrokerFactory
implements DistributedBrokerFactory

A factory for distributed JDBC datastores.

Author:
  Pinaki Poddar
See Also:
  Serialized Form

Constructor Summary
`DistributedJDBCBrokerFactory(DistributedJDBCConfiguration conf)`

Method Summary
`Slice` | `addSlice(String name, Map properties)` Adds the given slice with the given properties.
`DistributedJDBCConfiguration` | `getConfiguration()` Return the configuration for this factory.
`protected Object` | `getFactoryInitializationBanner()` Return an object to be written to the log when this broker factory initializes.
`static JDBCBrokerFactory` | `getInstance(ConfigurationProvider cp)` Factory method for obtaining a possibly-pooled factory from properties.
`static JDBCBrokerFactory` | `getInstance(DistributedJDBCConfiguration conf)` Factory method for constructing a factory from a configuration.
`DistributedBroker` | `newBroker()` Return a broker with default settings.
`static DistributedJDBCBrokerFactory` | `newInstance(ConfigurationProvider cp)` Factory method for constructing a factory from properties.
`protected DistributedJDBCStoreManager` | `newStoreManager()` Return a new StoreManager for this runtime.
`protected void` | `synchronizeMappings(ClassLoader loader)`

Methods inherited from class org.apache.openjpa.jdbc.kernel.JDBCBrokerFactory
`getInstance, getProperties, newBrokerImpl, postCreationCallback, synchronizeMappings`

Methods inherited from class org.apache.openjpa.kernel.AbstractBrokerFactory
`addLifecycleListener, addListeners, addTransactionListener, assertOpen, close, configureBroker, createDelegatingStoreManager, findBroker, findTransactionalBroker, getOpenBrokers, getPooledFactoryForKey, getPoolKey, getSupportedProperties, getUserObject, isClosed, loadPersistentTypes, lock, makeReadOnly, newBroker, newBroker, newBroker, newBroker, newBroker, pool, putUserObject, readResolve, releaseBroker, removeLifecycleListener, removeTransactionListener, setup, toPoolKey, unlock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.kernel.BrokerFactory
`addLifecycleListener, addTransactionListener, assertOpen, close, getProperties, getSupportedProperties, getUserObject, isClosed, lock, newBroker, newBroker, postCreationCallback, putUserObject, removeLifecycleListener, removeTransactionListener, unlock`

Constructor Detail

### DistributedJDBCBrokerFactory

    public DistributedJDBCBrokerFactory(DistributedJDBCConfiguration conf)

Method Detail

### newInstance

    public static DistributedJDBCBrokerFactory newInstance(ConfigurationProvider cp)

  Factory method for constructing a factory from properties. Invoked from `Bootstrap.newBrokerFactory()`.

### getInstance

    public static JDBCBrokerFactory getInstance(ConfigurationProvider cp)

  Factory method for obtaining a possibly-pooled factory from properties. Invoked from `Bootstrap.getBrokerFactory()`.

### getInstance

    public static JDBCBrokerFactory getInstance(DistributedJDBCConfiguration conf)

  Factory method for constructing a factory from a configuration.

### getConfiguration

    public DistributedJDBCConfiguration getConfiguration()

  Description copied from class: `AbstractBrokerFactory`
  Return the configuration for this factory.

  Specified by:
    `getConfiguration` in interface `BrokerFactory`
  Overrides:
    `getConfiguration` in class `AbstractBrokerFactory`

### addSlice

    public Slice addSlice(String name,
                          Map properties)

  Description copied from interface: `DistributedBrokerFactory`
  Adds the given slice with the given properties. This newly added slice will be configured to brokers constructed by this factory after this call.

  Specified by:
    `addSlice` in interface `DistributedBrokerFactory`
  Parameters:
    `name` - logical name of the to be added slice. Must be different from any currently available slices.
    `properties` - key-value pair of configuration for the slice to be added. The keys must have openjpa.slice.<name>.* as prefix.
  See Also:
    `DistributedConfiguration.getAvailableSliceNames()`, `DistributedConfiguration#addSlice(String, Map)`

### newStoreManager

    protected DistributedJDBCStoreManager newStoreManager()

  Description copied from class: `AbstractBrokerFactory`
  Return a new StoreManager for this runtime. Note that the instance returned here may be wrapped before being passed to the `AbstractBrokerFactory.newBroker()` method.

  Overrides:
    `newStoreManager` in class `JDBCBrokerFactory`

### newBroker

    public DistributedBroker newBroker()

  Description copied from interface: `BrokerFactory`
  Return a broker with default settings.

  Specified by:
    `newBroker` in interface `BrokerFactory`
  Overrides:
    `newBroker` in class `AbstractBrokerFactory`

### synchronizeMappings

    protected void synchronizeMappings(ClassLoader loader)

  Overrides:
    `synchronizeMappings` in class `JDBCBrokerFactory`

### getFactoryInitializationBanner

    protected Object getFactoryInitializationBanner()

  Description copied from class: `AbstractBrokerFactory`
  Return an object to be written to the log when this broker factory initializes. This happens after the configuration is fully loaded.

  Overrides:
    `getFactoryInitializationBanner` in class `AbstractBrokerFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.